Last Comment Bug 717302 - [AZURE] backgrounds of elements using -border-radius are drawn with an additional offset from browser chrome
: [AZURE] backgrounds of elements using -border-radius are drawn with an additi...
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: Trunk
: x86_64 Windows 7
: -- normal with 1 vote (vote)
: mozilla14
Assigned To: Bas Schouten (:bas.schouten)
:
: Milan Sreckovic [:milan]
Mentors:
: 717782 718198 725267 (view as bug list)
Depends on:
Blocks: 715768
  Show dependency treegraph
 
Reported: 2012-01-11 10:43 PST by Steve Scott (pxbugz)
Modified: 2012-06-26 22:53 PDT (History)
11 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Buzilla page with sidebar after being scrolled down then up (97.30 KB, image/png)
2012-01-11 10:48 PST, Steve Scott (pxbugz)
no flags Details
about:config page showing issue (15.40 KB, image/png)
2012-01-11 10:50 PST, Steve Scott (pxbugz)
no flags Details
Border Radius Test (239 bytes, text/plain)
2012-01-12 21:20 PST, Leman Bennett [Omega]
no flags Details
Border Radius Test (239 bytes, text/html)
2012-01-12 21:23 PST, Leman Bennett [Omega]
no flags Details
Mark transform dirty properly (778 bytes, patch)
2012-03-15 12:50 PDT, Bas Schouten (:bas.schouten)
jmuizelaar: review+
Details | Diff | Splinter Review

Description Steve Scott (pxbugz) 2012-01-11 10:43:07 PST
User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:12.0a1) Gecko/20120111 Firefox/12.0a1
Build ID: 20120111031049

Steps to reproduce:

-Install latest nightly, clean profile
-Make gfx.content.azure.enabled to true
-load about:config and/or about:memory and a bugzilla page with enough comments to scroll



Actual results:

-white hbox (about:config) and body (about:memory) background appear to be drawn too low - equivalent to the size of the browser toolbars - you can check by opening/closing bookmarks toolbar or switching tabs on top, the white background will shift up or down to be an equivalent size
- Opening and closing the sidebar will shift the white background to the right, equivalent to the width of the sidebar

On a bugzilla page the div#bugzilla-body will be affected by the sidebar being open when scrolling - it will paint it's background shifted to the right, equivalent to the width of the sidebar, but only for parts of the page that have been offscreen (i.e. not painted). This problem is not exhibited with a closed sidebar.




Expected results:

The page elements should not be effected by browser chrome.

I am not au fait with the thebes wrapper but I guess it would be easy to assume  that these elements are being drawn either doubly offset from the whole browser window or offset from the content window bounds when they should be offset from the whole browser window.

Also, I have not extensively tested so the specific page elements with problems may not be exhaustive.
Comment 1 Steve Scott (pxbugz) 2012-01-11 10:48:23 PST
Created attachment 587749 [details]
Buzilla page with sidebar after being scrolled down then up

Top left of grey Buzilla div background is shifted right/not drawn after scrolling
Comment 2 Steve Scott (pxbugz) 2012-01-11 10:50:28 PST
Created attachment 587750 [details]
about:config page showing issue

about:config hbox background is shifted downwards equivalent to the height of the browser chrome.
Comment 3 Jim Jeffery not reading bug-mail 1/2/11 2012-01-11 11:49:10 PST
Confirming - Setting to NEW
Comment 4 Steve Scott (pxbugz) 2012-01-11 15:31:56 PST
Browsed the top 100 sites on alexa.com to find other cases of this bug, which hopefully should help.

www.youtube.com - div.feed-item.upload - on subscription page

www.reddit.com -  div.linkinfo - on a comments page

www.imgur.com - div.panel.Left

etsy.com - div.section

newegg.com - div.grpSearch

verizonwireless.com - DIV#oo_tab.oo_tab_right
Comment 5 Leman Bennett [Omega] 2012-01-12 21:20:22 PST
Created attachment 588304 [details]
Border Radius Test

The problem seem to point to border-radius. (If it wasn't obvious to the devs before)

I made a quick testcase.
Comment 6 Leman Bennett [Omega] 2012-01-12 21:23:02 PST
Created attachment 588305 [details]
Border Radius Test

Auto-detect fail.
Comment 7 Kevin Brosnan [:kbrosnan] 2012-01-13 10:18:19 PST
*** Bug 717782 has been marked as a duplicate of this bug. ***
Comment 8 Andrew McCreight [:mccr8] 2012-01-17 09:56:40 PST
*** Bug 718198 has been marked as a duplicate of this bug. ***
Comment 9 Olly Hodgson 2012-02-08 05:23:31 PST
*** Bug 725267 has been marked as a duplicate of this bug. ***
Comment 10 Bas Schouten (:bas.schouten) 2012-03-15 12:50:12 PDT
Created attachment 606328 [details] [diff] [review]
Mark transform dirty properly
Comment 11 Bas Schouten (:bas.schouten) 2012-03-15 13:58:14 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/54eeedd8faa1
Comment 12 Marco Bonardo [::mak] 2012-03-16 06:20:08 PDT
https://hg.mozilla.org/mozilla-central/rev/54eeedd8faa1

Note You need to log in before you can comment on or make changes to this bug.